@import url("https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&display=swap");

* {
  font-family: "Pixelify Sans";
  box-sizing: border-box;
}
body {
  height: 100vh;
  background-color: #201f20;
  color: #ebeaeb;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

button {
  width: 220px;
  height: 50px;
  font-size: 32px;
  text-align: center;
  border: none;
  cursor: pointer;
}

.win {
  background-color: #56aa3f;
}

.game {
  width: 1200px;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: start;
  padding: 15px;
  max-width: 1200px;
  margin: auto;
}

main {
  font-weight: 100;
}

h1 {
  font-size: 80px;
  text-align: center;
  font-weight: inherit;
  letter-spacing: 1px;
}

.answer {
  position: relative;
}

.answer-white-block {
  margin: auto;
  width: 170px;
  height: 100px;
  background-color: #ebeaeb;
  color: #201f20;
  text-align: center;
}
.answer-white-block p {
  font-size: 80px;
}

.answer-line {
  margin: 0;
  width: 100%;
  height: 5px;
  background-color: #ebeaeb;
  position: absolute;
  top: 50%;
  right: 0;
  z-index: -1;
}

.menu {
  max-width: 1000px;
  margin: 100px auto 0;
  display: flex;
  justify-content: center;
  gap: 10%;
}

.input-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.input-box input {
  margin-bottom: 40px;
  width: 300px;
  height: 100px;
  background-color: transparent;
  border: 5px solid #ebeaeb;
  border-radius: 5px;
  font-size: 80px;
  color: #ebeaeb;
  text-align: center;
}

.scores {
  font-size: 34px;
}

#message {
  margin-top: 0;
  /* min-width: 332px; */
}

.label-score {
  margin-top: 70px;
  margin-bottom: 5px;
}

.label-highscore {
  margin: 0;
}

.hidden {
  display: none;
}

#description {
  margin: 0;
  font-size: 22px;
}

@media screen and (max-width: 1200px) {
  .game {
    max-width: 1200px;
    width: 100%;
  }
}

@media screen and (max-width: 700px) {
  .scores {
    font-size: 28px;
  }

  h1 {
    font-size: 60px;
  }

  .input-box input {
    margin-bottom: 30px;
    width: 100%;
    height: 60px;
    background-color: transparent;
    border: 5px solid #ebeaeb;
    border-radius: 5px;
    font-size: 50px;
    color: #ebeaeb;
    text-align: center;
  }

  button {
    width: 100%;
    max-width: 200px;
    height: 60px;
    font-size: 26px;
    text-align: center;
  }

  .label-score {
    margin-top: 45px;
    margin-bottom: 5px;
  }

  #description {
  margin: 0 0 0 20px;
  font-size: 22px;
}
}
